vpb-utils_4.2.61-1+b1_amd64.deb


Advertisement

Description

vpb-utils - Voicetronix telephony hardware userspace tools

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename vpb-utils_4.2.61-1+b1_amd64.deb
Package name vpb-utils
Package version 4.2.61
Package release 1+b1
Package architecture amd64
Package type deb
Category comm implemented-in::c++ role::program
Homepage -
License -
Maintainer Ron Lee <ron@debian.org>
Download size 52.32 KB
Installed size 242.00 KB

Alternatives

Package Version Architecture Repository
vpb-utils_4.2.61-1_i386.deb 4.2.61 i386 Debian Main
vpb-utils - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
libvpb1 >= 4.2.22

Download

Type URL
Mirror ftp.br.debian.org
Binary Package vpb-utils_4.2.61-1+b1_amd64.deb
Source Package vpb-driver

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install vpb-utils deb package:
    # sudo apt-get install vpb-utils

Files

Path
/usr/bin/dtmfcheck
/usr/bin/measerl
/usr/bin/playwav
/usr/bin/proslicerl
/usr/bin/raw2wav
/usr/bin/recwav
/usr/bin/ringstat
/usr/bin/tonedebug
/usr/bin/tonegen
/usr/bin/tonetrain
/usr/bin/vdaaerl
/usr/bin/vpbecho
/usr/share/doc/vpb-utils/changelog.Debian.amd64.gz
/usr/share/doc/vpb-utils/changelog.Debian.gz
/usr/share/doc/vpb-utils/copyright
/usr/share/man/man1/dtmfcheck.1.gz
/usr/share/man/man1/measerl.1.gz
/usr/share/man/man1/playwav.1.gz
/usr/share/man/man1/proslicerl.1.gz
/usr/share/man/man1/raw2wav.1.gz
/usr/share/man/man1/recwav.1.gz
/usr/share/man/man1/ringstat.1.gz
/usr/share/man/man1/tonedebug.1.gz
/usr/share/man/man1/tonegen.1.gz
/usr/share/man/man1/tonetrain.1.gz
/usr/share/man/man1/vdaaerl.1.gz
/usr/share/man/man1/vpbecho.1.gz

Changelog

2018-04-05 - Ron Lee <ron@debian.org>
vpb-driver (4.2.61-1) unstable; urgency=medium
* Use --sort=name, if available, when creating the kernel source tarball.
For reproducibility we want the files in it deterministically ordered.
2018-04-02 - Ron Lee <ron@debian.org>
vpb-driver (4.2.60-1) unstable; urgency=medium
* Minor tweaks for the linux 4.15 kernel.
* Replace pow10() with exp10(), they are equivalent, except for the bit where
exp10 got standardised in TS 18661-4:2015 and glibc 2.27 removed pow10.
Closes: #890671
* Pass -pthread using the correct modern idiom when building libtoneg.
Using -lpthread there is wrong with modern toolchains, and breaks cross
builds when make expands it to a full path for the build arch. #866720
Closes: #866720
* Sanitise the umask and mtime of the kernel source tarball, this should let
this package be build reproducibly now.
2015-08-06 - Ron Lee <ron@debian.org>
vpb-driver (4.2.59-2) unstable; urgency=medium
* Conflict/Replace libvpb0.  Closes: #794587
* This is really just a kludge-around for the fact that we have unversioned
files installed in the runtime library package, which ordinarily would be
a Terribly Wrong thing to do, but this code is stable and had a strong
guarantee that the ABI was never going to be broken and it would never
need a transition, so for several reasons that was the least worst option
for nearly 10 years now.  Until gcc-5 broke that promise on us ...
In this case, we can probably still quite reasonably get away with just
forcing the old package off the system when it is upgraded, since there is
a fairly natural limit to how many applications you can have controlling
your phone lines on a system, and no real user is likely to actually need
the old and new packages to be co-installable.  Either they'll update to
the new one, or they won't.  There's no prolonged transition where things
they might need could still be using the old one.  It's still technically
wrong though, so kids don't try this at home, but unless gcc starts to
make a habit of this, it's probably the least disruptive change we can
impose on users to cope with that transition, and hopefully something we
won't need to deal with again for at least another ten years.  If we do,
then we'll reassess where the pros and cons really lay for making more
intrusive changes to support things that "should have never happened".
2015-08-04 - Ron Lee <ron@debian.org>
vpb-driver (4.2.59-1) unstable; urgency=medium
* Updates for gcc-5.  Closes: #791309
* It makes some changes to libstdc++ which break ABI for us in a few places,
mostly in symbols using std::basic_string or std::list, so we're going to
bump the SONAME for this release, even though there is no incompatible
change to the libvpb source itself.  In theory we could just rename the
library package - but that would still leave people with out of distro
applications screwed if they upgrade to the new package without rebuilding
their own applications.  This way they'll at least fail loudly and early.
2014-09-29 - Ron Lee <ron@debian.org>
vpb-driver (4.2.58-1) unstable; urgency=low
* Backport the tweak to OpenPCI interrupt handling.
* Don't build with -O3 anymore, most of this code doesn't need it,
and gcc 4.9 appears to do some fun things if we try.
2013-08-11 - Ron Lee <ron@debian.org>
vpb-driver (4.2.57-1) unstable; urgency=low
* Updates for kernel 3.10, Closes: #719136
Disabling hotplug is no longer an option.
The proc API has changed, create_proc_{,read_}entry no longer exist.
The asm/system.h header has been disintegrated.
2013-04-12 - Ron Lee <ron@debian.org>
vpb-driver (4.2.56-1) unstable; urgency=low
* Tweak the OpenPCI ring validation parameters.
2012-05-09 - Ron Lee <ron@debian.org>
vpb-driver (4.2.55-1) unstable; urgency=low
* Update for gcc-4.7  Closes: #672083

See Also

Package Description
vpcs_0.5b2-2.1_amd64.deb virtual PC simulator for Dynamips
vpnc-scripts_0.1~git20190117-1_all.deb Network configuration scripts for VPNC and OpenConnect
vpnc_0.5.3r550-3.1_amd64.deb Cisco-compatible VPN client
vprerex_6.5.1-1+b1_amd64.deb Qt interface to prerex, a course prerequisite chart editor
vpx-tools_1.8.1-2_amd64.deb VP8 and VP9 video codec encoding/decoding tools
vramsteg_1.1.0-1+b1_amd64.deb provide shell scripts with a full-featured progress indicator
vrfy_990522-10+b1_amd64.deb verify electronic mail addresses
vrfydmn_0.11.0-1_all.deb Milter for ensuring email message from matches mail from
vrms_1.25_all.deb virtual Richard M. Stallman
vrrpd_1.0-2+b2_amd64.deb Virtual Router Redundancy Protocol user-space implementation
vsd2odg_0.9.6-2_amd64.deb Visio to OpenDocument converter
vsdump_0.0.45-1+b2_amd64.deb Convert Microsoft Visio diagrams .vsd, .vss
vsearch_2.13.6-1+b1_amd64.deb tool for processing metagenomic sequences
vsftpd_3.0.3-12+b1_amd64.deb lightweight, efficient FTP server written for security
vspline-dev_0.4.1-1_all.deb header-only C++ template library for uniform b-spline processing
Advertisement
Advertisement